BINKD(8)

BEZEICHNUNG
binkd - überträgt Dateien zwischen zwei Fidonet-Systemen über TCP/IP

ÜBERSICHT
binkd [-CcDipqrsvdmh] [ -P Knoten ] Konfigurationsdatei

BESCHREIBUNG
Der Fidonet-Mailer Binkd wurde zur Nutzung von TCP/IP-Netzwerken entwickelt. Als zum Fido Technology Network (FTN) kompatibler Internet-Daemon macht er die effektive Nutzung von TCP/IP als Transport-Protokoll für FTN-Netzwerke möglich.

Binkd erwartet seinen Puffer für FTN-Netzwerke im BSO-Format (Bink style outbound) oder optional im ASO-Format (Amiga style outbound). BSO wird auch von den Mailern ifmail und BinkleyTerm genutzt.

OPTIONEN

-C  Wird Binkd mit dieser Option betrieben, wird die Konfigurationsdatei nach Änderungen neu eingelesen. Der Zeitpunkt der letzten Änderung der Konfigurationsdatei wird alle 60 Sekunden und bei jeder eingehenden und ausgehenden Verbindung überprüft.

-c  Startet nur den Client. Normalerweise startet Binkd sowohl den Server als auch den Client.

-D  Binkd als Daemon betreiben (kann nicht für den reinen Client-Modus genutzt werden)

-i  startet Binkd von inetd aus

-P  Fragt einen Knoten ab. Den für den Ausgang bestimmten Daten wird eine leere *.ilo-Datei hinzugefügt. Diese veranlasst Binkd zum Aufbau einer Verbindung mit dem Knoten und dem Empfangen von Mail von diesem Knoten. (Binkd fügt auch seiner im Speicher befindlichen Knotentabelle einen »Node Knoten«-Datensatz hinzu, wenn für den Knoten kein Eintrag in der Konfigurationsdatei enthalten ist.)

-p  Startet den Client-Manager, führt Abfragen durch und beendet Binkd, wenn die Warteschlange nach der nächsten Abfrage leer ist; impliziert -c.

-q  Stiller Betrieb: Schaltet die Konfigurationsoptionen printq, conlog und percents aus.

-r  deaktiviert verschlüsselten Verkehr

-s  Startet nur den Server. Normalerweise startet Binkd sowohl Server als auch Client.

-v  Ausführliche Ausgabe. Binkd -v wird die Version von Binkd ausgeben und sich beenden.

-vv Version und einkompilierte Optionen ausgeben.

-d  Ausgewertete Konfiguration ausgeben und sich beenden.

-m  deaktiviert CRAM-MD5-Autorisierung; impliziert -r

-h  Hilfe ausgeben.

SIGNALE

SIGHUP
    veranlasst Binkd, seine Konfiguration neu zu laden

UMGEBUNGSVARIABLEN

BINKD_LOG
    bezeichnet den Namen der Protokolldatei. Binkd verwendet diese Umgebungsvariable, wenn logfile in der Konfigurationsdatei nicht definiert ist.

SIEHE AUCH
inetd(8) Binkd FAQ, Binkd-Benutzeranleitung, Binkd-Homepage http://binkd.grumbler.org, http://www.corbina.net/~maloff/binkd/ ftp://happy.kiev.ua/pub/fidosoft/mailer/binkd/

AUTOREN
Dima Maloff <maloff@tts.magadan.su> und andere Diese Handbuchseite basiert auf dem »Binkd User Guide« von nsoveiko@doe.carleton.ca (Nick Soveiko).

FEHLER BERICHTEN
Berichten Sie Fehler auf Englisch an <binkd-bugs@happy.kiev.ua>.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Andreas Braukmann <andy@abra.de>, Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.